Skip to content

listPublicationHistory

GET
/api/v1/content-history/{type}/{id}/publications
curl --request GET \
--url https://example.com/api/v1/content-history/playlist/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/publications
type
required
string
Allowed values: playlist layout campaign
id
required
string format: uuid

Immutable publication checkpoints, newest first

Media typeapplication/json
object
data
required
object
items
required
Array<object>
object
id
required
string format: uuid
revision
required
integer format: int64
>= 1
nativeRevisionId
string format: uuid
submissionId
string format: uuid
campaignReleaseId
string format: uuid
publishedBy
string format: uuid
publisherName
string
publishedAt
required
string format: date-time
supersedesPublicationId
string format: uuid
method
required
string
Allowed values: manual automatic_after_approval scheduled rollback migration backfill
affectedScreenCount
required
integer
snapshotSha256
string
/^[0-9a-f]{64}$/
Example
{
"data": {
"items": [
{
"method": "manual"
}
]
}
}